import { Menu } from 'primereact/menu';
import { MenuItem } from 'primereact/menuitem';
import { DockItem } from './types';

export declare const useButtonsDockController: () => {
    dockItems: DockItem[];
    audioMenuOptionsRef: import('react').RefObject<Menu>;
    recordingMenuRef: import('react').RefObject<Menu>;
    recordingMenuItems: MenuItem[];
    videoMenuOptionsRef: import('react').RefObject<Menu>;
    micMenuOptionsRef: import('react').RefObject<Menu>;
    showChatBadge: boolean;
    showHandRaiseBadge: boolean | undefined;
    canToggleAudio: boolean;
    canToggleVideo: boolean;
    handleToggleMic: () => Promise<void>;
    handleToggleVideo: () => Promise<void>;
    handleToggleScreenShare: () => Promise<void>;
};
